DATA example6_5;       
DO depression=1 TO 2;   
DO sleep=1 TO 2;      
DO anxiety=1 TO 2;
INPUT f@@;     
OUTPUT;
END;
END;
END;
CARDS;
18	15
7	39
6	53
10	332
;
PROC CATMOD;      
WEIGHT f;                               /*表明输入的f是一个权重值*/
MODEL sleep*depression*anxiety=_response_;             
/* sleep、depression、anxiety均置于左边作为因变量*/
LOGLIN sleep|depression|anxiety;
/* 对sleep、depression、anxiety的单独效应及其所有交互效应进行分析*/
RUN; 
PROC CATMOD;      
WEIGHT f;     
MODEL sleep*depression*anxiety=_response_;             
LOGLIN sleep|depression|anxiety @2; 
/*@2表示仅分析主效应和二阶交互效应，无三阶交互效应*/
RUN; 
